> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/remove-udelement.md).

# Remove-UDElement

Remove-UDElement rimuove un elemento dell'interfaccia utente specificato da una pagina della dashboard di PowerShell Universal, identificato tramite il suo Id, in fase di esecuzione.

### Sintassi

Rimuove un elemento dalla pagina.

### Sintassi

```powershell
Remove-UDElement [-Id] <String> [[-ParentId] <String>] [-Broadcast] [<CommonParameters>]
```

### Descrizione

Rimuove un elemento dalla pagina.

### Parametri

#### -Id

L'ID dell'elemento da rimuovere.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ParentId

Non utilizzato

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Se rimuovere questo elemento dalla pagina di tutti gli utenti connessi.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per ulteriori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1: rimuovere un elemento

```powershell
New-UDElement -Id 'removeElement1' -Tag 'div' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Remove-UDElement -Id 'removeElement1'
}
```

Rimuove un elemento dalla pagina.

#### Esempio 2: broadcast

```powershell
New-UDElement -Id 'removeElement2' -Tag 'div' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Remove-UDElement -Id 'removeElement2' -Broadcast
}
```

Rimuove un elemento dalla pagina e lo trasmette a tutte le dashboard connesse.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/remove-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
